package com.company.untitled1.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.BaseStringIdEntity;
import com.haulmont.cuba.core.global.DdlGeneration;

import javax.persistence.*;
import java.util.Date;

@DdlGeneration(value = DdlGeneration.DbScriptGenerationMode.CREATE_ONLY)
@Table(name = "dzp_org")
@Entity(name = "untitled1_DzpOrg")
@NamePattern("%s %s|orgName,bin")
public class DzpOrg extends BaseStringIdEntity {
    private static final long serialVersionUID = 992309756032924597L;

    @Id
    @Column(name = "rfo_id", nullable = false, length = 250)
    private String rfo;

    @Column(name = "bin", length = 100)
    private String bin;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "dateclose")
    private Date dateclose;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "datesign")
    private Date datesign;

    @Column(name = "head")
    private Double head;

    @Column(name = "head_id")
    private Double head1;

    @Column(name = "org_name", length = 3000)
    private String orgName;

    @Column(name = "region", length = 200)
    private String region;

    @Column(name = "town", length = 2000)
    private String town;

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Double getHead1() {
        return head1;
    }

    public void setHead1(Double head1) {
        this.head1 = head1;
    }

    public Double getHead() {
        return head;
    }

    public void setHead(Double head) {
        this.head = head;
    }

    public Date getDatesign() {
        return datesign;
    }

    public void setDatesign(Date datesign) {
        this.datesign = datesign;
    }

    public Date getDateclose() {
        return dateclose;
    }

    public void setDateclose(Date dateclose) {
        this.dateclose = dateclose;
    }

    public String getBin() {
        return bin;
    }

    public void setBin(String bin) {
        this.bin = bin;
    }

    @Override
    public void setId(String id) {
        this.rfo = id;
    }

    @Override
    public String getId() {
        return rfo;
    }

    public String getRfo() {
        return rfo;
    }

    public void setRfo(String rfo) {
        this.rfo = rfo;
    }
}