package com.company.untitled1.web.screens.dzporgmain;

import com.company.untitled1.entity.DspPool;
import com.company.untitled1.entity.DzpOrg;
import com.haulmont.cuba.gui.UiComponents;
import com.haulmont.cuba.gui.components.Form;
import com.haulmont.cuba.gui.components.Table;
import com.haulmont.cuba.gui.components.TextField;
import com.haulmont.cuba.gui.components.data.value.ContainerValueSource;
import com.haulmont.cuba.gui.model.InstanceContainer;
import com.haulmont.cuba.gui.screen.*;
import com.company.untitled1.entity.DzpOrgMain;

import javax.inject.Inject;
import java.util.ArrayList;

@UiController("untitled1_DzpOrgMain.edit")
@UiDescriptor("dzp-org-main-edit.xml")
@EditedEntityContainer("dzpOrgMainDc")
@LoadDataBeforeShow
public class DzpOrgMainEdit extends StandardEditor<DzpOrgMain> {

    @Inject
    private Form form;
    @Inject
    private UiComponents uiComponents;
    @Inject
    private InstanceContainer<DzpOrgMain> dzpOrgMainDc;

    public void onInit(InitEvent event) {
        TextField<String> headField = uiComponents.create(TextField.TYPE_STRING);
        headField.setCaption("HEAAAD");
        headField.setWidthFull();
        headField.setValueSource(new ContainerValueSource<>(dzpOrgMainDc, "head"));
        form.add(headField);
    }

}